<%----------------------Logic for error messages ----------------------------------------------------%>
<c:set var="errorMessageFirstLine" value="${bookingComponent.errorMessage}"/>
<c:set var="errorMessageSecondLine" value="Please check these details are correct"/>
<c:set var="hideSecondLine" value="${empty bookingInfo.errorFields}"/>
<c:set var="hideErrorMessage" value="true"/>
<c:set var="errorMessageWhilstMessage" value="${bookingComponent.errorMessage}"/>
<c:forTokens var="errorField" items="CardType|CardNumber|ExpiryDate|CardName|IssueNumber|SecurityCode" delims="|" >
 
   <c:if test="${fn:containsIgnoreCase(bookingInfo.errorFields,errorField)}">
      <c:set var="hideSecondLine" value="true"/>
      <c:set var="hideErrorMessage" value="false"/>
   </c:if>
</c:forTokens>
<%-----------------*****Logic for error messages *****-----------------------------------------------%>

<%----------------------Client side and Server side errors-------------------------------------------%>
<div id="errorSummary" class="errorSummary <c:if test="${hideSecondLine}">hide</c:if>">
   <h3><c:out value="${errorMessageSecondLine}" escapeXml="false"/></h3>
   <ul id="topError">
   </ul>
</div>

<div>
   <p class="high-level generic soldout-msg">

   <c:if test="${(not empty bookingComponent.nonPaymentData['soldoutalertheader']) && (not empty bookingComponent.nonPaymentData['soldoutalertmessage'])}">

	<b><c:out value="${bookingComponent.nonPaymentData['soldoutalertheader']}"/></b>
  <br><c:out value="${bookingComponent.nonPaymentData['soldoutalertmessage']}"/>

	</c:if>
  </p>
</div>


<div>
 <c:if test="${fn:containsIgnoreCase(errorMessageFirstLine,'Whilst') == 'true'}">
   <p class="high-level generic soldout-msg">



        <c:if test="${fn:containsIgnoreCase(errorMessageFirstLine,'decreased') == 'true'}">
            <strong>YOUR HOLIDAY IS NOW EVEN CHEAPER</strong>
        </c:if>
	    <c:if test="${fn:containsIgnoreCase(bookingComponent.errorMessage,'increased')}">
		    <strong>The price of your flight has changed </strong>
	    </c:if>



	<br><c:out value="${errorMessageWhilstMessage}" escapeXml="false"/>

  </p>
  	</c:if>
</div>




<div id="commonError" class="commonErrorSummary <c:if test="${(not empty errorMessageWhilstMessage) || (empty errorMessageFirstLine) || (not empty bookingInfo.errorFields && hideErrorMessage) || fn:contains(errorMessageFirstLine, 'Promotional') || fn:contains(errorMessageFirstLine, 'PROMOTIONAL') || fn:contains(errorMessageFirstLine, 'promotional')}">hide</c:if>">

   <p class="alert high-level generic">
	<i class="caret warning"></i>
	<c:out value="${errorMessageFirstLine}" escapeXml="false"/>
  </p>
</div>
<%----------------------Client side and Server side errors-------------------------------------------%>